Subject: Re: bug#49665: 28.0.50; Failing autorevert tests on Cygwin

From: Michael Albinus <[email-masked]>
Date: Tue, 20 Jul 2021 23:23:23 +0200

Ken Brown <[email-masked]> writes:

> Hi Michael,

Hi Ken,

>> We have the tag :unstable for such tests. You might tag all tests you're
>> not interested in. Something like this after the docstring:
>>       :tags (when (eq system-type 'cygwin) '(:unstable))
>> Perhaps also a comment.
>
> Good idea.  I'll do this after you've had a chance to look at it.

Will do. Next days are busy, so I cannot promise to be fast.

>> If you could provide me a recent Emacs 28 for cygwin, I could try to
>> check what's up.
>
> Here they are:
>
> 64-bit: https://paste.c-net.org/ToughenTheory
>
> 32-bit: https://paste.c-net.org/ChewsAtomic
>
> I've built them --with-x=no to reduce the number of dependent
> libraries.  But you'll still probably need a fairly up-to-date Cygwin
> installation to run them.
>
> Thanks for taking a look.

Thanks. I run a Windows 10 VM just for Emacs test purposes. No problem
to update Cygwin there.

> Ken

Best regards, Michael.